public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-fonts/noto-emoji/
Date: Sat, 10 Nov 2018 13:24:12 +0000 (UTC)	[thread overview]
Message-ID: <1541856239.c76ec98381f5a710e4032177cb0ad2496b477769.pacho@gentoo> (raw)

commit:     c76ec98381f5a710e4032177cb0ad2496b477769
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 10 13:23:59 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Nov 10 13:23:59 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c76ec983

media-fonts/noto-emoji: Version bump, provide also the icons

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 media-fonts/noto-emoji/Manifest                   |  1 +
 media-fonts/noto-emoji/noto-emoji-20180823.ebuild | 63 +++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/media-fonts/noto-emoji/Manifest b/media-fonts/noto-emoji/Manifest
index 79d84c3fc5b..49ac946d850 100644
--- a/media-fonts/noto-emoji/Manifest
+++ b/media-fonts/noto-emoji/Manifest
@@ -1 +1,2 @@
 DIST noto-emoji-20180814.tar.gz 51709109 BLAKE2B 9678861973b231de48b11dc9267840e4a4a6689c7c26281dfc1d6b0d4c1c1c627b503226d7eeac2f568dc19162c669b54c8dd34f5aa449850797437cf3a2e8cb SHA512 bca0fb73d3897c4ec1ba94173fda17804cdf2dfa365aa4a19bf1d24e9a94806bcdd5e6eb6304eb3e2312b37f37fa917905be6fe11c84510214f0eba70f426ea8
+DIST noto-emoji-20180823.tar.gz 51710829 BLAKE2B 66983bdd3cb5e95727f0ddebca5d85c3f22bb9e7b9216eb1af41c4cba19f2020592be3feb7ac47f723985574b8d57070d9d07d0ce5e5870512aecc2a55b52995 SHA512 73233f3742faae4e37f8588bda097fe9f745f5cc7e6601301c1dc9e30d656c496e074c80bf4391708f6c0dbe32043e8558e4395cce5dbf735772b0e41642b9bf

diff --git a/media-fonts/noto-emoji/noto-emoji-20180823.ebuild b/media-fonts/noto-emoji/noto-emoji-20180823.ebuild
new file mode 100644
index 00000000000..847572c4ae7
--- /dev/null
+++ b/media-fonts/noto-emoji/noto-emoji-20180823.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit font python-any-r1
+
+DESCRIPTION="Google Noto Emoji fonts"
+HOMEPAGE="https://www.google.com/get/noto/ https://github.com/googlei18n/noto-emoji"
+
+COMMIT="07ad7f0f4dc1bfb03221c2004c7cc60c6b79b25e"
+SRC_URI="https://github.com/googlei18n/noto-emoji/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="${PYTHON_DEPS}
+	app-arch/zopfli
+	dev-python/fonttools
+	dev-python/nototools
+	media-gfx/pngquant
+	x11-libs/cairo
+	|| ( media-gfx/imagemagick[png] media-gfx/graphicsmagick[png] )
+"
+RDEPEND=""
+
+RESTRICT="binchecks strip"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+FONT_S="${S}"
+FONT_SUFFIX="ttf"
+
+PATCHES=(
+	# From Fedora
+	"${FILESDIR}/${PN}-use-system-pngquant.patch"
+	"${FILESDIR}/${PN}-build-all-flags.patch"
+)
+
+src_prepare() {
+	default
+	# Use system pngquant
+	rm -rf third_party/pngquant
+
+	# Fedora patch to allow graphicsmagick usage
+	if has_version media-gfx/graphicsmagick; then
+		eapply "${FILESDIR}/${PN}-use-gm.patch"
+	fi
+}
+
+src_install() {
+	font_src_install
+
+	# Don't lose fancy emoji icons
+	insinto /usr/share/icons/"${PN}"/128x128/emotes/
+	doins png/128/*.png
+
+	insinto /usr/share/icons/"${PN}"/scalable/emotes/
+	doins svg/*.svg
+}


             reply	other threads:[~2018-11-10 13:24 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-10 13:24 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-13  6:36 [gentoo-commits] repo/gentoo:master commit in: media-fonts/noto-emoji/ Arthur Zamarin
2024-04-13  6:36 Arthur Zamarin
2024-04-12 15:30 Sam James
2024-04-12 15:30 Sam James
2024-03-25 18:13 Pacho Ramos
2024-03-25 18:13 Pacho Ramos
2024-03-02 14:13 Arthur Zamarin
2024-02-22  0:59 Sam James
2024-02-22  0:59 Sam James
2024-01-03 18:39 Arthur Zamarin
2023-12-16  9:46 Pacho Ramos
2023-11-24 12:55 Pacho Ramos
2023-11-24 12:55 Pacho Ramos
2023-08-28 23:49 Andreas K. Hüttel
2023-03-19 16:56 Pacho Ramos
2023-03-16 22:02 Sam James
2023-03-16 22:02 Sam James
2023-03-16 22:02 Sam James
2023-02-24 15:11 Pacho Ramos
2022-12-04 14:50 Pacho Ramos
2022-12-01 22:28 Jakov Smolić
2022-12-01 22:24 Jakov Smolić
2022-12-01 22:22 Jakov Smolić
2022-10-09  8:37 Arthur Zamarin
2022-10-08 17:42 Arthur Zamarin
2022-09-18 11:09 Pacho Ramos
2022-09-18 11:09 Pacho Ramos
2022-09-18 11:09 Pacho Ramos
2022-09-18 11:09 Pacho Ramos
2022-05-10  1:07 WANG Xuerui
2021-12-14 20:47 Arthur Zamarin
2021-12-14 15:45 Jakov Smolić
2021-12-14 15:45 Jakov Smolić
2021-11-06  9:13 Pacho Ramos
2021-11-06  9:13 Pacho Ramos
2021-09-17  8:57 Marek Szuba
2021-08-26  3:00 Sam James
2021-08-22  3:42 Sam James
2021-08-18 12:46 Agostino Sarubbo
2021-07-16  8:17 Pacho Ramos
2021-03-07 19:40 Pacho Ramos
2021-02-15 10:47 Sam James
2021-02-14 19:52 Sam James
2021-01-19 19:21 Pacho Ramos
2020-12-09 18:27 Pacho Ramos
2020-12-09 18:27 Pacho Ramos
2020-10-06  5:08 Sam James
2020-07-23  1:28 Sam James
2020-06-04 17:14 Mart Raudsepp
2020-06-04 14:06 Michał Górny
2020-05-29 16:18 Michał Górny
2020-05-22 19:05 Georgy Yakovlev
2020-04-24 19:12 Mike Gilbert
2020-04-19  2:35 Craig Andrews
2020-04-04  9:34 Pacho Ramos
2020-04-01 23:29 Pacho Ramos
2020-03-20 15:11 Pacho Ramos
2020-03-14 14:49 Pacho Ramos
2020-03-11 19:47 Pacho Ramos
2019-08-05 18:54 Pacho Ramos
2019-06-02  9:50 Pacho Ramos
2019-02-18 21:24 Pacho Ramos
2018-11-18 10:53 Pacho Ramos
2018-10-14 19:44 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1541856239.c76ec98381f5a710e4032177cb0ad2496b477769.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox